Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2084318

Summary: F37FailsToInstall: openshadinglanguage-libs
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: openshadinglanguageAssignee: Luya Tshimbalanga <luya_tfz>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: code, luya_tfz, negativo17
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openshadinglanguage-1.11.17.0-2.fc37 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-13 13:30:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2045102, 2045109, 2062915, 2084302    

Description Miro Hrončok 2022-05-11 21:01:03 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (openshadinglanguage) Fails To Install in Fedora 37:

can't install openshadinglanguage-libs:
  - nothing provides libboost_thread.so.1.76.0()(64bit) needed by openshadinglanguage-libs-1.11.16.0-3.fc36.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-37-x86_64 --disablerepo='*' --enablerepo=local install openshadinglanguage-libs


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Beasley 2022-05-12 12:00:21 UTC
The package failed to rebuild for Boost 1.78 in the f37-boost side tag. There is actually an FTBFS, not just an FTI, here.

[ 11%] Building CXX object src/liboslexec/CMakeFiles/oslexec.dir/llvm_util.cpp.o
cd /builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/redhat-linux-build/src/liboslexec && /usr/bin/g++ -DOSL_EXPORTS -DOSL_FAST_MATH=1 -DOSL_LLVM_FULL_VERSION=\"14.0.0\" -DOSL_LLVM_VERSION=140 -DUSE_PARTIO=1 -DUSE_STD_REGEX -D__STDC_CONSTANT_MACROS -D__STDC_LIMIT_MACROS -Doslexec_EXPORTS -I/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/redhat-linux-build/include -I/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/redhat-linux-build/src/include -I/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/src/include -I/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/src/liboslexec -I/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/src/liboslcomp -isystem /usr/include/opencv4 -isystem /usr/include/Imath -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  	 -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -DNDEBUG -fPIC -Wall -Wno-error=strict-overflow -Wno-unused-local-typedefs -Wno-unused-result -Wno-error=misleading-indentation -fno-math-errno -std=c++17 -fno-rtti -MD -MT src/liboslexec/CMakeFiles/oslexec.dir/llvm_util.cpp.o -MF CMakeFiles/oslexec.dir/llvm_util.cpp.o.d -o CMakeFiles/oslexec.dir/llvm_util.cpp.o -c /builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/src/liboslexec/llvm_util.cpp
/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.16.0/src/liboslexec/llvm_util.cpp:40:10: fatal error: llvm/Support/TargetRegistry.h: No such file or directory
   40 | #include <llvm/Support/TargetRegistry.h>
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.

Comment 2 Ben Beasley 2022-05-12 12:02:42 UTC
Upstream issue:

LLVM 14 incompatibility - TargetRegistry.h has been moved
https://github.com/AcademySoftwareFoundation/OpenShadingLanguage/issues/1496

A comment on that issue:

https://github.com/AcademySoftwareFoundation/OpenShadingLanguage/issues/1496#issuecomment-1109206352

> lgritz commented
> Already addressed by #1492
> But I'm trying to track down why one reference image changes with LLVM14.

The referenced PR:

Support for LLVM 14
https://github.com/AcademySoftwareFoundation/OpenShadingLanguage/pull/1492

Comment 3 Ben Beasley 2022-05-12 12:37:15 UTC
Assuming the scratch build succeeds on all of the architectures, this should fix it:

https://src.fedoraproject.org/rpms/openshadinglanguage/pull-request/1

Comment 4 Fedora Update System 2022-05-13 13:26:31 UTC
FEDORA-2022-e1c6b4be1b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e1c6b4be1b

Comment 5 Fedora Update System 2022-05-13 13:30:05 UTC
FEDORA-2022-e1c6b4be1b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.